oasis.names.tc.saml._2_0.assertion

## Class Attribute

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.Attribute

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class Attribute
      extends Object
      implements Serializable

  Java class for AttributeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AttributeValue" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="NameFormat" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
             <attribute name="FriendlyName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <anyAttribute processContents='lax' namespace='##other'/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getAttributeValues()` Gets the value of the attributeValues property.
    `String` | `getFriendlyName()` Gets the value of the friendlyName property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getNameFormat()` Gets the value of the nameFormat property.
    `Map<QName,String>` | `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
    `void` | `setFriendlyName(String value)` Sets the value of the friendlyName property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setNameFormat(String value)` Sets the value of the nameFormat property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute()

  - ### Method Detail

    - #### getAttributeValues

          public List<Object> getAttributeValues()

      Gets the value of the attributeValues property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeValues property.

      For example, to add a new item, do as follows:

              getAttributeValues().add(newItem);

      Objects of the following type(s) are allowed in the list `Object`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNameFormat

          public String getNameFormat()

      Gets the value of the nameFormat property.
      Returns:
        possible object is `String`

    - #### setNameFormat

          public void setNameFormat(String value)

      Sets the value of the nameFormat property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFriendlyName

          public String getFriendlyName()

      Gets the value of the friendlyName property.
      Returns:
        possible object is `String`

    - #### setFriendlyName

          public void setFriendlyName(String value)

      Sets the value of the friendlyName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOtherAttributes

          public Map<QName,String> getOtherAttributes()

      Gets a map that contains attributes that aren't bound to any typed property on this class.

      the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

      Returns:
        always non-null

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.